В Windows, Linux и ChromeOS исправлена новая уязвимость класса Spectre, SWAPGS Attack

Хотя с момента обнаружения проблем Meltdown и Spectre прошло уже полтора года, ИБ-специалисты продолжают находить все новые спекулятивные проблемы, угрожающие современным процессорам. На этот раз о свежей уязвимости рассказали эксперты компании Bitdefender: проблема получила идентификатор CVE-2019-1125 и название SWAPGS Attack.

Исследователи рассказывают, что проблема очень похожа на Spectre (вариант 1) и позволяет вредоносной программе получить доступ к содержимому привилегированной памяти ОС, прочитав его. Хуже того, ранее выпущенные патчи и защитные механизмы, предотвращающие эксплуатацию Spectre и Meltdown, не защитят от атак SWAPGS.

Перед багом уязвимы процессоры Intel (начиная с Ivy Bridge, когда в процессорах появилась инструкция WRGSBASE) и, возможно, некоторые процессоры AMD. Так, специалисты Microsoft, Intel и Red Hat заявляют, что уязвимости подвержены все современные процессоры, но эксперты Bitdefender говорят, что они смогли успешно эксплуатировать уязвимость только на процессорах Intel.

Раскрытие информации о новой проблеме было скоординированным, поэтому практически все крупные производители (включая Microsoft, Red Hat, Intel и Google) уже представили исправления для своих продуктов.

Microsoft устранила уязвимость еще в ходе июльского «вторника обновлений». В данном случае достаточно софтверного патча, устанавливать обновление микрокодов не требуется. Увы, неизвестно, оказывают ли эти патчи какое-то влияние на производительность, как было с предыдущими исправлениями.

Red Hat рекомендует пользователям обновить ядро ​​и установить последние обновления микрокода для исправления уязвимости.

Intel выпустила бюллетень безопасности, в котором подтверждает слова других вендоров: в данном случае будет достаточно софтверных патчей.

Google уже включил исправления для CVE-2019-1125 в состав ChromeOS 4.19, которая, как ожидается, будет выпущена в ближайшее время. Это же исправление было добавлено в Android.

AMD сообщает, что проблема не затрагивает продукты компании и полагает, что патчи не требуются.

В Linux проблему исправили, выпустив соответствующий патч для ядра, вошедший в состав выпусков 4.19.65, 5.2.7, 4.14.137, 4.9.188 и 4.4.188.

Мария Нефёдова: Блондинка, гик, книжный червь, синефил. Редактор ленты новостей; иногда автор Сцены.